<ws:copyFile> | Standard JET2 Workspace Tags
--- | ---

copyFile

Copy the file refered to by 'url' to the location refered to by 'path'.

Tag Summary
required | <ws:copyFile src="value" target="value"/>
full tag | <ws:copyFile src="value" target="value" binary="value" replace="value" srcEncoding="value" targetEncoding="value" srcContext="value"/>

Required Attributes
src | An absolute or relative URL identifying the file to copy. If a relative URL, the 'srcContext' attribute controls resolution of the URL.
target | The destination path of the resource. If relative, this is relative to any containing 'folder' or 'project' tag, otherwise, the first path element is treated as a project name.

Optional Attributes
binary | Indicates whether the copy is binary or text base. Possible values: 'true' or 'false'. Default: 'false'.
replace | Indicates if any existing version of the file should be replaced. Possible values: 'true' or 'false'. Default: 'true'.
srcEncoding | Defines the default text encoding of the source file. This is only meaningful if the 'binary' attribute is not 'false'. Default is the platform default text encoding.
targetEncoding | Identifies the text encoding to use when writing the target file. This is only meaningful if the 'binary' attribute is not 'true'. The default text encoding is determined by the platform.
srcContext | Determines the context of relative URL in the 'src' attribute. Default value is 'transform'. Possible values: 'transform', 'workspace'.

Example

<%-- copy a transformation supplied file to the project myProject --%>
<ws:copyFile src="logo.gif" target="myproject/logo.gif" binary="true"/>
<%-- this is equivalent to --%gt;
<ws:copyFile src="logo.gif" srcContext="transform" target="myproject/logo.gif" binary="true"/>
<%-- copy a workspace file from yourProject to myProject --%gt;
<ws:copyFile src="yourProject/plugin.xml" srcContext="workspace" target="myproject/plugin.xml" />